---
schema_version: "1"
id: c44b3b4628a0b2ae5760033906ab0de0e01f7c6c7d524796c19063c5aa405b27
title: GET /platform/v1/ens-callbacks/{callbackId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getCallback.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/getCallback.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: d1baee0a3c4268ed61ec6c87043c1280c3f1d91387d8b93ae5be10542988913e
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /platform/v1/ens-callbacks/{callbackId}

## Overview

Retrieves details about a registered callback.

### URL Parameters

<!--complex table-->

| Name           | Type   |              | Description                        |
| -------------- | ------ | ------------ | ---------------------------------- |
| **callbackId** | string | **Required** | Unique identifier of the callback. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /platform/v1/ens-callbacks/65b885ab-c2b4-46fe-85d0-d6cb8be8057d
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
HTTP/1.1 200 Success
{
  "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
  "callbackName": "cb1",
  "url": "https://example.com/",
  "maxBatchSize": 1000,
  "status": "verified",
  "statusReason": "none"
}
```

### HTTP Responses

| Response        | Reason                                       |
| --------------- | -------------------------------------------- |
| 200 Success     | Callback retrieved. Review example response. |
| 400 Bad Request | Unable to process the request.               |
| 403 Forbidden   | Failed to pass authorization.                |
| 404 Not Found   | Callback ID doesn't exist.                   |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
